Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex StoreDoc
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex MetaData Hub
KZ
  • О сервисе Yandex MetaData Hub
    • Сервисные роли для управления доступом
    • Справочник Terraform
      • Аутентификация в API
        • Overview
          • Overview
          • GetCatalog
          • ListCatalogs
          • CreateCatalog
          • DeleteCatalog
          • UpdateCatalog
  • Управление доступом
  • Квоты и лимиты
  • Правила тарификации
  • Публичные материалы
  • История изменений

В этой статье:

  • HTTP request
  • Query parameters
  • Response
  • Catalog
  • CatalogAIMarkupRules
  • CatalogAutoIngestionConfig
  1. Data Catalog
  2. Справочник API
  3. REST (англ.)
  4. Catalog
  5. ListCatalogs

Datacatalog API, REST: Catalog.ListCatalogs

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Query parameters
  • Response
  • Catalog
  • CatalogAIMarkupRules
  • CatalogAutoIngestionConfig

Retrieves the list of catalogs in the specified folder.

HTTP requestHTTP request

GET https://datacatalog.api.yandexcloud.kz/v1/catalogs

Query parametersQuery parameters

Request message for getting catalogs by folder id.

Field

Description

folderId

string

ID of the folder to list catalogs in.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a next_page_token
that can be used to get the next page of results in subsequent list requests.
if omitted, default value will be used

pageToken

string

Page token. To get the next page of results, set page_token to the
next_page_token returned by a previous list request.

namePatternOrId

string

Filter by name. Use this in case if it's necessary to find catalogs by name
if empty - filter will be omited

ResponseResponse

HTTP Code: 200 - OK

{
  "catalogs": [
    {
      "id": "string",
      "folderId": "string",
      "name": "string",
      "description": "string",
      "labels": "object",
      "createdBy": "string",
      "aiMarkupRules": {
        "aiEnabled": "boolean",
        "documentationRules": "string",
        "domainRules": "string",
        "termsRules": "string",
        "tagsRules": "string"
      },
      "autoIngestionParams": {
        "serviceAccountId": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextPageToken": "string"
}

Response message that contains result of listing catalogs.

Field

Description

catalogs[]

Catalog

List of catalogs.

nextPageToken

string

This token allows you to get the next page of results for list requests.
If the number of results is larger than the specified page_size, use the
next_page_token as the value for the page_token parameter in the next list request.
Each subsequent list request will have its own next_page_token to continue paging

CatalogCatalog

Field

Description

id

string

Catalog identifier

folderId

string

Folder identifier

name

string

Catalog name

description

string

Catalog description

labels

object (map<string, string>)

Catalog labels

createdBy

string

Id of subject who created the catalog

aiMarkupRules

CatalogAIMarkupRules

AI markup enabled flag

autoIngestionParams

CatalogAutoIngestionConfig

Configuration for auto ingestion feature

createdAt

string (date-time)

Date of catalog creation

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updatedAt

string (date-time)

Date of catalog last update

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

CatalogAIMarkupRulesCatalogAIMarkupRules

Field

Description

aiEnabled

boolean

If set to true, AI marking up of catalog entities will be enabled

documentationRules

string

Rules for the AI agent, that will be used for assets mark up

domainRules

string

Rules for the AI agent, that will be used for domains mark up

termsRules

string

Rules for the AI agent, that will be used for terms mark up

tagsRules

string

Rules for the AI agent, that will be used for tags mark up

CatalogAutoIngestionConfigCatalogAutoIngestionConfig

Field

Description

serviceAccountId

string

ID of service account, which will be used for auto ingestion feature

Была ли статья полезна?

Предыдущая
GetCatalog
Следующая
CreateCatalog
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»